Bug 1205752 (CVE-2015-2704) - CVE-2015-2704 realmd: untrusted data is used when configuring sssd.conf and/or smb.conf
Summary: CVE-2015-2704 realmd: untrusted data is used when configuring sssd.conf and/o...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-2704
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150218,repor...
Depends On: 1205754 1233011
Blocks: 1205773 1210268
TreeView+ depends on / blocked
 
Reported: 2015-03-25 15:01 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way realmd parsed certain input when writing configuration into the sssd.conf or smb.conf file. A remote attacker could use this flaw to inject arbitrary configurations into these files via a newline character in an LDAP response.
Clone Of:
Environment:
Last Closed: 2015-11-20 05:59:17 UTC


Attachments (Terms of Use)
Validate text from LDAP (3.71 KB, patch)
2015-04-14 11:06 UTC, Stef Walter
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2184 normal SHIPPED_LIVE Moderate: realmd security, bug fix, and enhancement update 2015-11-19 07:51:28 UTC

Description Vasyl Kaigorodov 2015-03-25 15:01:48 UTC
It was reported to upstream that realmd is using untrusted data when configuring sssd.conf and/or smb.conf:

https://bugs.freedesktop.org/show_bug.cgi?id=89207

No patches are available at the time of writing.

Comment 1 Stef Walter 2015-04-14 09:45:38 UTC
Commits available upstream.

Comment 2 Stef Walter 2015-04-14 10:31:20 UTC
Relevant commits:

commit 6d5ac47cc22c273a55bea89dffbe537a3c86ad2c
Author: Stef Walter <stefw@redhat.com>
Date:   Tue Apr 14 11:30:53 2015 +0200

    service: Limit the characters we read from LDAP
    
    We strictly limit this to characters expected in domain names.


commit 502980a8a17eddb5fe3d16bcad229a6d0ba11065
Author: Stef Walter <stefw@redhat.com>
Date:   Sat Apr 11 13:29:40 2015 +0200

    service: Only accept specific characters when parsing MSCLDAP response
    
    This provides an extra layer of protection against injecting
    odd characters into configuration files.

Comment 3 Stef Walter 2015-04-14 11:06:17 UTC
Created attachment 1014276 [details]
Validate text from LDAP

Combined patch for this issue.

Comment 5 Fedora Update System 2015-04-22 22:55:31 UTC
realmd-0.16.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-05-08 07:41:54 UTC
realmd-0.15.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2015-11-19 03:43:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2184 https://rhn.redhat.com/errata/RHSA-2015-2184.html


Note You need to log in before you can comment on or make changes to this bug.